////////////////////////////////////////////////////////////////////////////////
//
//  ADOBE SYSTEMS INCORPORATED
//  Copyright 2008 Adobe Systems Incorporated
//  All Rights Reserved.
//
//  NOTICE: Adobe permits you to use, modify, and distribute this file
//  in accordance with the terms of the license agreement accompanying it.
//
////////////////////////////////////////////////////////////////////////////////

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#blockProgression
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="blockProgression", type="String", enumeration="tb,rl", inherit="yes")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#breakOpportunity
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="breakOpportunity", type="String", enumeration="auto,all,any,none", inherit="yes")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#firstBaselineOffset
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="firstBaselineOffset", type="Object", inherit="yes")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#leadingModel
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="leadingModel", type="String", enumeration="auto,romanUp,ideographicTopUp,ideographicCenterUp,ideographicTopDown,ideographicCenterDown,ascentDescentUp", inherit="yes")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#paragraphEndIndent
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="paragraphEndIndent", type="Number", format="length", inherit="yes", minValue="0.0")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#paragraphSpaceAfter
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="paragraphSpaceAfter", type="Number", format="length", inherit="yes", minValue="0.0")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#paragraphSpaceBefore
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="paragraphSpaceBefore", type="Number", format="length", inherit="yes", minValue="0.0")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#paragraphStartIndent
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="paragraphStartIndent", type="Number", format="length", inherit="yes")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#tabStops
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="tabStops", type="String", inherit="yes")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#textIndent
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="textIndent", type="Number", format="Length", inherit="yes", minValue="0.0")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#textRotation
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="textRotation", type="String", enumeration="auto,rotate0,rotate90,rotate180,rotate270", inherit="yes")]

/**
 *  @copy flashx.textLayout.formats.ITextLayoutFormat#whiteSpaceCollapse
 *  
 *  @langversion 3.0
 *  @playerversion Flash 10
 *  @playerversion AIR 1.5
 *  @productversion Flex 4
 */
[Style(name="whiteSpaceCollapse", type="String", enumeration="collapse,preserve", inherit="yes")]
